
// OPOS_DKDlg.h : header file
//

#pragma once
#include "cashdrawer1.h"
#include "afxwin.h"


// COPOS_DKDlg dialog
class COPOS_DKDlg : public CDialogEx
{
// Construction
public:
	COPOS_DKDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_OPOS_DK_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CCashdrawer1 m_opos;
	afx_msg void Open();
	CListBox m_log;
	afx_msg void OPOS_CLOSE();
	afx_msg void OpenDK();
	CEdit m_EditOpen;
	DECLARE_EVENTSINK_MAP()
	void StatusUpdateEventCashdrawer1(long Data);
};
